Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.internal.ui.decorator
Class ProjectEMFStoreDirtyDecorator

    java.lang.Object
      org.eclipse.emf.ecp.emfstore.internal.ui.decorator.ProjectEMFStoreDirtyDecorator

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILightweightLabelDecorator

    public class ProjectEMFStoreDirtyDecorator

extends Object
implements org.eclipse.jface.viewers.ILightweightLabelDecorator

Dirty Decorator for Projects.

Author:
  Tobias Verhoeven

Constructor Summary
`ProjectEMFStoreDirtyDecorator()` Instantiates a new EMFStoreDirtyDecorator.

Method Summary
`void` | `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` | `decorate(Object element, org.eclipse.jface.viewers.IDecoration decoration)`
`void` | `dispose()`
`boolean` | `isLabelProperty(Object element, String property)`
`void` | `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectEMFStoreDirtyDecorator

    public ProjectEMFStoreDirtyDecorator()

  Instantiates a new EMFStoreDirtyDecorator.

Method Detail

### decorate

    public void decorate(Object element,
                         org.eclipse.jface.viewers.IDecoration decoration)

  Specified by:
    `decorate` in interface `org.eclipse.jface.viewers.ILightweightLabelDecorator`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(Object element,
                                   String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.